<template>
  <div class="site-footer-header header-presse">
    <div class="site-footer-header_wrapper trunk">
      <div class="header-presse-left">
        <span class="presse-text text--primary text--big text--bold">{{
          $t('footer.press_about_us')
        }}</span>
      </div>
      <div class="header-presse-right">
        <a
          class="presse-read button button_shape button_sm"
          :href="`${$config.izneoUrl}/${$i18n.locale}/presse`"
          @click.prevent="
            $utils.gtmEvent(
              {
                event: 'gtm.event',
                EventCategory: 'Interactions',
                EventAction: 'Presse',
                EventLabel: 'voir-articles'
              },
              `${$config.izneoUrl}/${$i18n.locale}/presse`
            )
          "
        >
          {{ $t('footer.read_articles') }}
        </a>
      </div>
    </div>
  </div>
</template>

<style lang="scss" scoped>
.header-presse {
  background-color: #ffffff;

  .header-presse-left {
    min-width: 324px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .header-presse-right {
    min-width: 164px;
    display: flex;
    justify-content: center;
    align-items: center;

    @media only screen and (max-width: 640px) {
      margin-top: 21px;
    }
  }

  .site-footer-header_wrapper {
    .presse-text {
      display: block;
      font-family: DINCond-Bold;

      text-transform: uppercase;

      background-repeat: no-repeat;
      background-image: url('~assets/images/ic-footer-press-desktop.svg');
      height: 94px;
      padding-left: 90px;
      line-height: 94px;

      @media only screen and (max-width: 640px) {
        background-image: url('~assets/images/ic-footer-press-mobile.svg');
        height: 61px;
        padding-left: 51px;
        line-height: 61px;
      }
    }

    .presse-read {
      margin-left: 32px;
    }

    @media only screen and (min-width: 640px) {
      display: flex;
      justify-content: center;
      align-items: center;
    }
  }
}
</style>
